<!--
  Generated template for the DetailLeadPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar color="haldin-header" hideBackButton="true">
    <ion-buttons left>
      <button ion-button icon-only (click)="goBack()">
        <ion-icon name="arrow-back"></ion-icon>
      </button>
    </ion-buttons>
    <ion-title>
      <h3 style="margin-right: auto; margin-left: auto;"><span class="font-color-green">detail</span><span class="font-color-blue">lead</span></h3>
    </ion-title>
  </ion-navbar>

</ion-header>

<ion-content>
<form (submit)="simpan_detail()">
    <div class="card" *ngFor="let item of detail_item">
		<div class="card-body">
			<div class="d-lfex justify-content-center flex-column" style="text-align: center;">
				<b><h2 text-wrap>{{item.nama_outlet}} <ion-icon name="arrow-dropright"></ion-icon> {{item.nama_kontak}}</h2></b>
				<p>{{item.kategori_outlet}}</p>
				<p> <span class="font-color-blue"> {{item.telepon}} </span></p>
				<ion-textarea [auto-resize-textarea]="30" [innerHTML]=item.alamat></ion-textarea>
				<ion-input type="hidden" [(ngModel)]="regData.lead_id" name="lead_id" clearInput=true></ion-input>
			</div>
			<div class="profile-block">
				<ul class="nav nav-pills nav-stacked">
					<li>
						<a> 
							<span class="font-color-black"> Tanggal FU  <b>:</b> {{item.tanggal_fu1}} </span>
							<span class="font-color-black">
								<div *ngIf="item.status_folowup !='0'">
									<div *ngIf="item.status_folowup =='1'">
										<b> Status Follow Up : Done </b>
									</div>
								
									<div *ngIf="item.status_folowup =='2'">
										<b> Status Follow Up : Cancel </b>
									</div>	
								</div>
							</span>
						
							<span class="font-color-black">
								<!-- <div *ngIf="item.status_folowup !='0'">
									<div *ngIf="item.hasil_followup =='1'">
										<b> Hasil Follow Up : Need Follow Up Again </b>
									</div>
								
									<div *ngIf="item.hasil_followup =='2'">
										<b> Hasil Follow Up : Closing </b>
									</div>	
									
									<div *ngIf="item.hasil_followup =='3'">
										<b> Hasil Follow Up : Not Closing </b>
									</div>
								</div> -->
								<div *ngIf="item.status_folowup !='0'">
									<div><b>Hasil Follow Up : {{ item.hasil_followup }} </b>
									</div>
								</div>
							</span>

							<span class="font-color-black">
								<div *ngIf="item.status_folowup !='0'">
									<div><b>Catatan : {{ item.catatan }} </b>
									</div>
								</div>
							</span>
						</a>
					</li>
					
					<!-- <div *ngIf="item.status_folowup =='0'"> -->
					<li>
						<ion-item class="lista">
							 <ion-label>Status Follow Up *</ion-label>
							<ion-select [(ngModel)]="regData.status_folowup" name="status_folowup">
								<ion-option value="1">Success Call</ion-option>
								<ion-option value="2">Not Success Call</ion-option>
							</ion-select>
						</ion-item>

					</li>
					<li>
						<ion-item class="lista">
							 <ion-label>Hasil Follow Up *</ion-label>
							<ion-select [(ngModel)]="regData.hasil_followup" name="hasil_followup">
								<ion-option value="Closing">Closing</ion-option>
								<ion-option value="Email Offering">Email Offering</ion-option>
								<ion-option value="Follow Up Later (Call Back)">Follow Up Later (Call Back)</ion-option>
								<ion-option value="Not Closing">Not Closing</ion-option>
								<ion-option value="Send Sample">Send Sample</ion-option>
								<ion-option value="Whatsapp Offering">Whatsapp Offering</ion-option>
								<ion-option value="Whatsapp Blast">Whatsapp Blast</ion-option>
								<ion-option value="Reject">Reject</ion-option>
								<ion-option value="Customer Not Arround">Customer Not Arround</ion-option>
								<ion-option value="Invalid Number">Invalid Number</ion-option>
								<ion-option value="Not Pick Up">Not Pick Up</ion-option>
								<ion-option value="Tone busy">Tone busy</ion-option>
								<ion-option value="Phone Not Active">Phone Not Active</ion-option>
								<ion-option value="Follow Up Offering">Follow Up Offering</ion-option>
								<ion-option value="Follow Up Cust Existing">Follow Up Cust Existing</ion-option>
							</ion-select>
						</ion-item>

					</li>

					<li>
						<ion-item class="lista">
							 <ion-label>Catatan (Optional)</ion-label>
							 <ion-textarea [(ngModel)]="regData.catatan" name="catatan" ></ion-textarea>
						</ion-item>

					</li>
					<li>
						  <ion-item>
							<ion-label style="text-align: center;">Foto Outlet</ion-label>  
						  </ion-item>
						  <p style="text-align: center;">
							  <img src="{{myImageOutlet}}" (click)="takePhotoOutlet()" />
							  <ion-input type="hidden" [(ngModel)]="regData.imageOriOutlet" name="imageOriOutlet"></ion-input>
						  </p>
					</li>
					<!-- </div> -->
				</ul>
			</div>
		</div>
	   <div class="card-footer">
			<div class="view_profile">
				<span *ngIf="item.status_folowup=='0'">
					<span *ngIf="item.sts_fw ==''">
						<button type="submit" style="background-color: #72a257; color:#fff;">SIMPAN</button>
					</span>
				</span>
				<span *ngIf="item.status_folowup=='0'">
					<span *ngIf="item.sts_fw !=''">
						<button type="submit" style="background-color: #72a257; color:#fff;">SIMPAN</button>
					</span>
				</span>
				<span *ngIf="item.status_folowup !='0'">
					<button type="submit" style="background-color: #72a257; color:#fff;">SIMPAN</button>
				</span>
			</div>
			
			<div class="message" (click)="showPrompt(item.lead_id)">
				Tambah Jadwal Fu
			</div>				
		</div> 
    </div>
</form>
</ion-content>
